Files
Create File
Create a file.
Scopes: files:write
POST
/
v1
/
files
/
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
response = polar.files.create(
name='string',
mime_type='string',
size=1,
upload={'parts': [{'number': 1, 'chunk_start': 1, 'chunk_end': 1}]},
service='downloadable',
)
print(response)
import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
const response = await polar.files.create(
{
"name": "string",
"mime_type": "string",
"size": 1,
"upload": {
"parts": [
{
"number": 1,
"chunk_start": 1,
"chunk_end": 1
}
]
},
"service": "downloadable"
},
);
console.log(response);
curl --request POST \
--url https://api.polar.sh/v1/files/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"mime_type": "<string>",
"size": 123,
"upload": {
"parts": [
{
"number": 123,
"chunk_start": 123,
"chunk_end": 123,
"checksum_sha256_base64": "<string>"
}
]
},
"service": "<string>",
"organization_id": "1dbfc517-0bbf-4301-9ba8-555ca42b9737",
"checksum_sha256_base64": "<string>",
"version": "<string>"
}
'import requests
url = "https://api.polar.sh/v1/files/"
payload = {
"name": "<string>",
"mime_type": "<string>",
"size": 123,
"upload": { "parts": [
{
"number": 123,
"chunk_start": 123,
"chunk_end": 123,
"checksum_sha256_base64": "<string>"
}
] },
"service": "<string>",
"organization_id": "1dbfc517-0bbf-4301-9ba8-555ca42b9737",
"checksum_sha256_base64": "<string>",
"version": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
mime_type: '<string>',
size: 123,
upload: {
parts: [
{
number: 123,
chunk_start: 123,
chunk_end: 123,
checksum_sha256_base64: '<string>'
}
]
},
service: '<string>',
organization_id: '1dbfc517-0bbf-4301-9ba8-555ca42b9737',
checksum_sha256_base64: '<string>',
version: '<string>'
})
};
fetch('https://api.polar.sh/v1/files/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"path": "<string>",
"mime_type": "<string>",
"size": 123,
"storage_version": "<string>",
"checksum_etag": "<string>",
"checksum_sha256_base64": "<string>",
"checksum_sha256_hex": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"upload": {
"id": "<string>",
"path": "<string>",
"parts": [
{
"number": 123,
"chunk_start": 123,
"chunk_end": 123,
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"checksum_sha256_base64": "<string>",
"headers": {}
}
]
},
"version": "<string>",
"size_readable": "<string>",
"is_uploaded": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
patoat
Body
application/json
- DownloadableFileCreate
- ProductMediaFileCreate
- OrganizationAvatarFileCreate
- SupportCaseAttachmentFileCreate
Schema to create a file to be associated with the downloadables benefit.
Show child attributes
Show child attributes
Allowed value:
"downloadable"The organization ID.
Example:
"1dbfc517-0bbf-4301-9ba8-555ca42b9737"
Response
File created.
The ID of the object.
Show child attributes
Show child attributes
Available options:
downloadable, product_media, organization_avatar, support_case_attachment Was this page helpful?
⌘I
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
response = polar.files.create(
name='string',
mime_type='string',
size=1,
upload={'parts': [{'number': 1, 'chunk_start': 1, 'chunk_end': 1}]},
service='downloadable',
)
print(response)
import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
const response = await polar.files.create(
{
"name": "string",
"mime_type": "string",
"size": 1,
"upload": {
"parts": [
{
"number": 1,
"chunk_start": 1,
"chunk_end": 1
}
]
},
"service": "downloadable"
},
);
console.log(response);

